=== debian/control ===
Source: clojure1.3
Section: devel
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Peter Collingbourne <peter@pcc.me.uk>, Daigo Moriwaki <daigo@debian.org>
Build-Depends: debhelper (>= 5), cdbs, quilt
Build-Depends-Indep: ant, openjdk-6-jdk, libasm3-java, maven-repo-helper, javahelper
Standards-Version: 3.9.2
Homepage: http://clojure.org
Vcs-Git: git://git.debian.org/pkg-java/clojure.git
Vcs-Browser: http://git.debian.org/?p=pkg-java/clojure.git
DM-Upload-Allowed: yes

Package: clojure1.3
Architecture: all
Depends: ${misc:Depends}, openjdk-6-jre | java2-runtime, libasm3-java
Recommends: rlwrap
Conflicts: clojure (<= 1.1)
Description: Lisp dialect for the JVM
 Clojure is a dynamic programming language that targets the Java Virtual
 Machine. It is designed to be a general-purpose language, combining the
 approachability and interactive development of a scripting language with
 an efficient and robust infrastructure for multithreaded programming.
 Clojure is a compiled language - it compiles directly to JVM bytecode,
 yet remains completely dynamic. Every feature supported by Clojure is
 supported at runtime. Clojure provides easy access to the Java
 frameworks, with optional type hints and type inference, to ensure that
 calls to Java can avoid reflection.
 .
 Clojure is a dialect of Lisp, and shares with Lisp the code-as-data
 philosophy and a powerful macro system. Clojure is predominantly a
 functional programming language, and features a rich set of immutable,
 persistent data structures. When mutable state is needed, Clojure offers
 a software transactional memory system and reactive Agent system that
 ensure clean, correct, multithreaded designs.
